# package version and release
%define pkgversion 2008.03.04
%define pkgrelease 1

# distro tags for the kernel versions
%{?el5:%define  disttag .el5.ccrma}
%{?fc8:%define  disttag .fc8.ccrma}
%{?fc7:%define  disttag .fc7.ccrma}
%{?fc6:%define  disttag .fc6.ccrma}
%{?fc5:%define  disttag .rhfc5.ccrma}
%{?fc4:%define  disttag .rhfc4.ccrma}
%{?fc3:%define  disttag .rhfc3.ccrma}
%{?fc2:%define  disttag .rhfc2.ccrma}
%{?fc1:%define  disttag .rhfc1.ccrma}
%{?rh9:%define  disttag .rh90.ccrma}
%{?rh80:%define disttag .rh80.ccrma}
%{?rh73:%define disttag .rh73.ccrma}

# naming scheme for kernel modules
# newnames == 1: old planet ccrma style requires for the kernel
# newnames == 2: requires for fedora core kernels
# newnames == 3: trying to get the packages and not the internal deps
%{?el5:%define  newnames 4}
%{?fc8:%define  newnames 4}
%{?fc7:%define  newnames 4}
%{?fc6:%define  newnames 4}
%{?fc5:%define  newnames 3}
%{?fc5:%define  newnames 2}
%{?fc4:%define  newnames 2}
%{?fc3:%define  newnames 1}
%{?fc2:%define  newnames 1}
%{?fc1:%define  newnames 0}
%{?rh9:%define  newnames 0}
%{?rh80:%define newnames 0}
%{?rh73:%define newnames 0}

# do we include midishare kernel modules?
%{?el5:%define  require_midishare 0}
%{?fc8:%define  require_midishare 0}
%{?fc7:%define  require_midishare 0}
%{?fc6:%define  require_midishare 0}
%{?fc5:%define  require_midishare 0}
%{?fc4:%define  require_midishare 0}
%{?fc3:%define  require_midishare 0}
%{?fc2:%define  require_midishare 0}
%{?fc1:%define  require_midishare 1}
%{?rh9:%define  require_midishare 1}
%{?rh80:%define require_midishare 0}
%{?rh73:%define require_midishare 0}

# Planet CCRMA kernel versions
%{?fc5:%define  kernel_version    2.6.16-1.2080.17.rdt%{disttag}}
%{?fc4:%define  kernel_version    2.6.16-1.2080.17.rdt%{disttag}}
%{?fc3:%define  kernel_version    2.6.10-2.1.ll%{disttag}}
%{?fc2:%define  kernel_version    2.6.10-2.1.ll%{disttag}}

%{?el5:%define  kernel_rt_version 2.6.24.3-1.rt1.2%{disttag}}
%{?fc8:%define  kernel_rt_version 2.6.24.3-1.rt1.2%{disttag}}
%{?fc7:%define  kernel_rt_version 2.6.24.3-1.rt1.2%{disttag}}
%{?fc6:%define  kernel_rt_version 2.6.24.3-1.rt1.2%{disttag}}
%{?fc5:%define  kernel_rt_version 2.6.16-1.2080.17.rrt%{disttag}}
%{?fc4:%define  kernel_rt_version 2.6.16-1.2080.17.rrt%{disttag}}
%{?fc3:%define  kernel_rt_version 2.6.12-0.21.rdt%{disttag}}
%{?fc2:%define  kernel_rt_version 2.6.12-0.3.rdt%{disttag}}
%{?fc1:%define  kernel_version    2.4.26-1.ll%{disttag}}
%{?rh9:%define  kernel_version    2.4.26-1.ll%{disttag}}
%{?rh80:%define kernel_version    2.4.26-1.ll%{disttag}}
%{?rh73:%define kernel_version    2.4.26-1.ll%{disttag}}

# Preemption patch version
%define realtime_preempt 2.6.14-rt22

# Rtload script version
%define rtload_version 0.0.2

# Rtirq script version
%{?el5:%define rtirq_version 20070101}
%{?fc8:%define rtirq_version 20070101}
%{?fc7:%define rtirq_version 20070101}
%{?fc6:%define rtirq_version 20070101}
%{?fc5:%define rtirq_version 20060819}
%{?fc4:%define rtirq_version 20060819}
%{?fc3:%define rtirq_version 20050620}

# PAM version
%ifarch x86_64
%{?fc7:%define pam_version 0.99.7.1-5.1.1}
%{?fc6:%define pam_version 0.99.6.2-3.22.1}
%else
%{?el5:%define pam_version 0.99.6.2-3.14.1}
%{?fc7:%define pam_version 0.99.7.1-5.1.1}
%{?fc6:%define pam_version 0.99.6.2-3.22.1}
%endif
%{?fc5:%define pam_version 0.99.4.0-4.1}
%{?fc4:%define pam_version 0.79-9.6.2}
%{?fc3:%define pam_version 0.77-66.2.3}

# Fedora Core 1 kernel
%{?fc1:%define redhat_version    2.4.22-1.2188.nptl.caps%{disttag}}
# RedHat kernel
%{?rh9:%define redhat_version    2.4.20-31.1.caps%{disttag}}

# the kernel epoch
%define kepoch %{nil}

# ALSA versions

# on el5
# no separate alsa kernel modules yet...
# alsa packages come from the distro and planet ccrma
%{?el5:%define alsa_lib_version           1.0.14-1.rc4.el5}
%{?el5:%define alsa_utils_version         1.0.14-2.rc4.el5}
# except for oss, tools and firmware which come from planetcore
%{?el5:%define alsa_oss_version           1.0.14-3%{disttag}}
%{?el5:%define alsa_tools_version         1.0.15-1%{disttag}}
%{?el5:%define alsa_firmware_version      1.0.15-1%{disttag}}

# on fc8
# no separate alsa kernel modules yet...
# alsa packages come from the distro and extras
%{?fc8:%define alsa_lib_version           1.0.15-1.fc8}
%{?fc8:%define alsa_utils_version         1.0.15-1.fc8}
%{?fc8:%define alsa_oss_version           1.0.14-3.fc8}
# except for the tools and firmware which come from planetcore
%{?fc8:%define alsa_tools_version         1.0.15-1%{disttag}}
%{?fc8:%define alsa_firmware_version      1.0.15-1%{disttag}}

# on fc7
# no separate alsa kernel modules yet...
# alsa packages come from the distro and extras
%{?fc7:%define alsa_lib_version           1.0.14-0.4.rc3.fc7}
%{?fc7:%define alsa_utils_version         1.0.14-0.5.rc2.fc7}
%{?fc7:%define alsa_oss_version           1.0.12-4.fc7}
# except for the tools and firmware which come from planetcore
%{?fc7:%define alsa_tools_version         1.0.15-1%{disttag}}
%{?fc7:%define alsa_firmware_version      1.0.15-1%{disttag}}

# on fc6
# no separate alsa kernel modules yet...
# alsa packages come from the distro and extras
%{?fc6:%define alsa_lib_version           1.0.13-1.fc6}
%{?fc6:%define alsa_utils_version         1.0.13-1.fc6}
%{?fc6:%define alsa_oss_version           1.0.12-2.fc6}
# except for the tools and firmware which come from planetcore
%{?fc6:%define alsa_tools_version         1.0.13-1%{disttag}}
%{?fc6:%define alsa_firmware_version      1.0.13-1%{disttag}}

# on fc5
%{?fc5:%define alsa_version               1.0.11-1%{disttag}}
%{?fc5:%define alsa_kernel_version        1.0.11-1%{disttag}}
%{?fc5:%define alsa_driver_version        1.0.11-1%{disttag}}
# keep fedora versions for lib and utils
%{?fc5:%define alsa_lib_version           1.0.11-3.rc2.2}
%{?fc5:%define alsa_utils_version         1.0.11-3.rc2}
%{?fc5:%define alsa_tools_version         1.0.11-1%{disttag}}
%{?fc5:%define alsa_oss_version           1.0.11-1%{disttag}}
%{?fc5:%define alsa_firmware_version      1.0.11-1%{disttag}}

# on fc4
%{?fc4:%define alsa_version               1.0.11-1%{disttag}}
%{?fc4:%define alsa_kernel_version        1.0.11-1%{disttag}}
%{?fc4:%define alsa_driver_version        1.0.11-1%{disttag}}
%{?fc4:%define alsa_lib_version           1.0.11-0.1.rc4%{disttag}}
%{?fc4:%define alsa_utils_version         1.0.11-1%{disttag}}
%{?fc4:%define alsa_tools_version         1.0.11-1%{disttag}}
%{?fc4:%define alsa_oss_version           1.0.11-1%{disttag}}
%{?fc4:%define alsa_firmware_version      1.0.11-1%{disttag}}

# MidiShare version
%define midishare_version 1.86-4%{disttag}

Summary:      Planet CCRMA core packages (kernel and drivers)
Name:         planetccrma-core
Version:      %{pkgversion}
Release:      %{pkgrelease}%{?dist}
%if "{fedora}" >= "6"
ExclusiveArch: i686 x86_64
%else
ExclusiveArch: i586 i686
%endif
URL:          http://ccrma.stanford.edu/planetccrma/software/
License:      No License
Group:        System Environment/Base
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Packager:     Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_version}
Requires:     alsa-kernel-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_version}
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_version}
Requires:     kernel-module-alsa-%{kernel_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "4"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_rt_version}rt
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_version}-%{_target_cpu} = %{midishare_version}
%endif
%if "%{fedora}" <= "5" && "%{rhel}" == ""
Requires:     alsa-driver == %{alsa_driver_version}
%endif
Requires:     alsa-lib >= %{alsa_lib_version} 
Requires:     alsa-lib-devel >= %{alsa_lib_version}
Requires:     alsa-utils >= %{alsa_utils_version} 
Requires:     alsa-tools >= %{alsa_tools_version}
Requires:     alsa-firmware >= %{alsa_firmware_version}
Requires:     alsa-oss >= %{alsa_oss_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
%endif
%if "%{fedora}" >= "4" || "%{rhel}" >= "5"
Requires:     rtirq >= %{rtirq_version}
%endif
%if "%{fedora}" >= "4" && "%{fedora}" <= "7"
Requires:     pam >= %{pam_version}
%endif

%description
This rpm contains no software, but requires the core components of
the Planet CCRMA repository. If installed through apt it will install
the low latency kernel version %{kernel_version} and the alsa sound driver
packages version %{alsa_version}.


%package smp
Summary:      Planet CCRMA core packages for smp (kernel and drivers)
Group:        System Environment/Base
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_version}
Requires:     alsa-kernel-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_version}
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_version}
Requires:     kernel-module-alsa-%{kernel_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_version}-%{_target_cpu} = %{midishare_version}
%endif
%if "%{newnames}" == "0"
Requires:     kernel-version-smp-%{_target_cpu}  = %{kernel_version}
Requires:     alsa-kernel-smp-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_version}smp-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_version}smp-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_version}smp
Requires:     kernel-module-alsa-%{kernel_version}smp-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_version}smp
Requires:     kernel-module-alsa-%{kernel_version}smp.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-smp-%{kernel_version}-%{_target_cpu} = %{midishare_version}
%endif
Requires:     alsa-driver = %{alsa_driver_version}
Requires:     alsa-lib >= %{alsa_lib_version} 
Requires:     alsa-lib-devel >= %{alsa_lib_version}
Requires:     alsa-utils >= %{alsa_utils_version} 
Requires:     alsa-tools = %{alsa_tools_version}
Requires:     alsa-firmware = %{alsa_firmware_version}
Requires:     alsa-oss = %{alsa_oss_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
%endif
%if "%{fc4}" == "1" || "%{fc5}" == "1"
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif

%description smp
This rpm contains no software but requires the core components of
the Planet CCRMA repository. If installed through apt it will install
the single and multiprocessor low latency kernels version %{kernel_version},
the alsa sound driver packages version %{alsa_version} and the midishare
version %{midishare_version} kernel module. 


%package -n planetccrma-core-edge
Summary:      Planet CCRMA core edge packages (kernel and drivers)
Group:        System Environment/Base
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_rt_version}
Requires:     alsa-kernel-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_rt_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_rt_version}-%{_target_cpu} = %{midishare_version}
%endif
Requires:     alsa-driver = %{alsa_driver_version}
Requires:     alsa-lib >= %{alsa_lib_version} 
Requires:     alsa-lib-devel >= %{alsa_lib_version}
Requires:     alsa-utils >= %{alsa_utils_version} 
Requires:     alsa-tools = %{alsa_tools_version}
Requires:     alsa-firmware = %{alsa_firmware_version}
Requires:     alsa-oss = %{alsa_oss_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif
%if "%{fc4}" == "1" || "%{fc5}" == "1"
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif

%description -n planetccrma-core-edge
This rpm contains no software, but requires the core components of
the Planet CCRMA repository. If installed through apt it will install
the low latency kernel version %{kernel_rt_version} and the alsa sound driver
packages version %{alsa_version}.

This kernel incorporates Ingo Molnar's realtime preemption patches (version
%{realtime_preempt}. It will have the best low latency performance but
is not as stable as the normal kernel. 


%package -n planetccrma-core-edge-smp
Summary:      Planet CCRMA core edge packages for smp (kernel and drivers)
Group:        System Environment/Base
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_rt_version}
Requires:     alsa-kernel-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_rt_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_rt_version}-%{_target_cpu} = %{midishare_version}
%endif
%if "%{newnames}" == "0"
Requires:     kernel-version-smp-%{_target_cpu}  = %{kernel_rt_version}
Requires:     alsa-kernel-smp-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_rt_version}smp-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_rt_version}smp-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_rt_version}smp
Requires:     kernel-module-alsa-%{kernel_rt_version}smp-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_rt_version}smp
Requires:     kernel-module-alsa-%{kernel_rt_version}smp.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-smp-%{kernel_rt_version}-%{_target_cpu} = %{midishare_version}
%endif
Requires:     alsa-driver = %{alsa_driver_version}
Requires:     alsa-lib >= %{alsa_lib_version} 
Requires:     alsa-lib-devel >= %{alsa_lib_version}
Requires:     alsa-utils >= %{alsa_utils_version} 
Requires:     alsa-tools = %{alsa_tools_version}
Requires:     alsa-firmware = %{alsa_firmware_version}
Requires:     alsa-oss = %{alsa_oss_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif
%if "%{fc4}" == "1" || "%{fc5}" == "1"
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif

%description -n planetccrma-core-edge-smp
This rpm contains no software but requires the core components of
the Planet CCRMA repository. If installed through apt it will install
the single and multiprocessor low latency kernels version %{kernel_rt_version},
and the alsa sound driver packages version %{alsa_version}.

This kernel incorporates Ingo Molnar's realtime preemption patches (version
%{realtime_preempt}. It will have the best low latency performance but
is not as stable as the normal kernel. 


%package -n planetccrma-kernel
Summary:      Planet CCRMA kernel packages (kernel and drivers)
Group:        System Environment/Base
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_version}
Requires:     alsa-kernel-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_version}
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_version}
Requires:     kernel-module-alsa-%{kernel_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_version}-%{_target_cpu} = %{midishare_version}
%endif
Requires:     alsa-driver = %{alsa_driver_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
%endif
%if "%{fc4}" == "1" || "%{fc5}" == "1"
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif

%description -n planetccrma-kernel
This rpm contains no software but requires the kernel components of
the Planet CCRMA repository. If installed through apt it will install
the low latency kernel version %{kernel_version} and the alsa sound driver
kernel modules version %{alsa_version}. This package will not install
all other alsa packages.


%package -n planetccrma-kernel-smp
Summary:      Planet CCRMA kernel packages for smp (kernel and drivers)
Group:        System Environment/Base
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_version}
Requires:     alsa-kernel-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_version}smp
Requires:     kernel-module-alsa-%{kernel_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_version}smp
Requires:     kernel-module-alsa-%{kernel_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_version}-%{_target_cpu} = %{midishare_version}
%endif
%if "%{newnames}" == "0"
Requires:     kernel-version-smp-%{_target_cpu}  = %{kernel_version}
Requires:     alsa-kernel-smp-%{kernel_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_version}smp-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_version}smp-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_version}smp
Requires:     kernel-module-alsa-%{kernel_version}smp-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_version}smp
Requires:     kernel-module-alsa-%{kernel_version}smp.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-smp-%{kernel_version}-%{_target_cpu} = %{midishare_version}
%endif
Requires:     alsa-driver = %{alsa_driver_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
%endif
%if "%{fc4}" == "1" || "%{fc5}" == "1"
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif

%description -n planetccrma-kernel-smp
This rpm contains no software but requires the kernel components of
the Planet CCRMA repository. If installed through apt it will install
the single and multiprocessor low latency kernels version %{kernel_version},
and the alsa sound driver kernel modules version %{alsa_version}. This
package will not install all other alsa packages.


%package -n planetccrma-kernel-edge
Summary:      Planet CCRMA kernel packages (kernel and drivers)
Group:        System Environment/Base
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_rt_version}
Requires:     alsa-kernel-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_rt_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_rt_version}-%{_target_cpu} = %{midishare_version}
%endif
Requires:     alsa-driver = %{alsa_driver_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif
%if "%{fc4}" == "1" || "%{fc5}" == "1"
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif

%description -n planetccrma-kernel-edge
This rpm contains no software but requires the kernel components of
the Planet CCRMA repository. If installed through apt it will install
the low latency kernel version %{kernel_rt_version} and the alsa sound driver
kernel modules version %{alsa_version}. This package will not install
all other alsa packages.

This kernel incorporates Ingo Molnar's realtime preemption patches (version
%{realtime_preempt}. It will have the best low latency performance but
is not as stable as the normal kernel. 


%package -n planetccrma-kernel-edge-smp
Summary:      Planet CCRMA kernel packages for smp (kernel and drivers)
Group:        System Environment/Base
%if "%{newnames}" == "0"
Requires:     kernel-version-%{_target_cpu} = %{kernel_rt_version}
Requires:     alsa-kernel-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_rt_version}-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_rt_version}
Requires:     kernel-module-alsa-%{kernel_rt_version}.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-%{kernel_rt_version}-%{_target_cpu} = %{midishare_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-version-smp-%{_target_cpu}  = %{kernel_rt_version}
Requires:     alsa-kernel-smp-%{kernel_rt_version}-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "1"
Requires:     kernel-%{kernel_rt_version}smp-%{_target_cpu}
Requires:     kernel-module-alsa-%{kernel_rt_version}smp-%{_target_cpu} = %{alsa_kernel_version}
%endif
%if "%{newnames}" == "2"
Requires:     kernel-%{_target_cpu} = %{kepoch}%{kernel_rt_version}smp
Requires:     kernel-module-alsa-%{kernel_rt_version}smp-%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{newnames}" == "3"
Requires:     kernel.%{_target_cpu} = %{kepoch}%{kernel_rt_version}smp
Requires:     kernel-module-alsa-%{kernel_rt_version}smp.%{_target_cpu} = %{kepoch}%{alsa_kernel_version}
%endif
%if "%{require_midishare}" == "1"
Requires:     midishare-kernel-smp-%{kernel_rt_version}-%{_target_cpu} = %{midishare_version}
%endif
Requires:     alsa-driver = %{alsa_driver_version}
%if "%{fc3}" == "1" || "%{fc2}" == "1"
Requires:     rtload >= %{rtload_version}
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif
%if "%{fc4}" == "1" || "%{fc5}" == "1"
Requires:     rtirq >= %{rtirq_version}
Requires:     pam >= %{pam_version}
%endif

%description -n planetccrma-kernel-edge-smp
This rpm contains no software but requires the kernel components of
the Planet CCRMA repository. If installed through apt it will install
the single and multiprocessor low latency kernels version %{kernel_rt_version},
and the alsa sound driver kernel modules version %{alsa_version}. This
package will not install all other alsa packages.

This kernel incorporates Ingo Molnar's realtime preemption patches (version
%{realtime_preempt}. It will have the best low latency performance but
is not as stable as the normal kernel. 


%if "%{fc2}" != "1" && "%{fc3}" != "1" && "%{fc4}" != "1" 
%package redhat
Summary:      Planet CCRMA core packages (kernel and alsa/midishare drivers)
Group:        System Environment/Base
Requires:     kernel-version-%{_target_cpu} = %{redhat_version}
Requires:     alsa-kernel-%{redhat_version}-%{_target_cpu} = %{alsa_kernel_version}
Requires:     midishare-kernel-%{redhat_version}-%{_target_cpu} = %{midishare_version}
Requires:     alsa-driver = %{alsa_driver_version}
Requires:     alsa-lib >= %{alsa_lib_version} alsa-lib-devel >= %{alsa_lib_version}
Requires:     alsa-utils >= %{alsa_utils_version} alsa-tools = %{alsa_tools_version}
Requires:     alsa-firmware = %{alsa_firmware_version}
Requires:     alsa-oss = %{alsa_oss_version}

%description redhat
This rpm contains no software but requires the core components of
the Planet CCRMA repository. If installed through apt it will install
the capabilities-enabled redhat kernel version %{redhat_version} for the
%{_target_cpu} architecture, the alsa sound driver packages version %{alsa_version}
and the midishare version %{midishare_version} kernel module.
%endif


%if "%{fc2}" != "1" && "%{fc3}" != "1" && "%{fc4}" != "1" 
%package redhat-smp
Summary:      Planet CCRMA core packages for smp (kernel and alsa/midishare drivers)
Group:        System Environment/Base
Requires:     kernel-version-%{_target_cpu} = %{redhat_version}
Requires:     alsa-kernel-%{redhat_version}-%{_target_cpu} = %{alsa_kernel_version}
Requires:     midishare-kernel-%{redhat_version}-%{_target_cpu} = %{midishare_version}
Requires:     kernel-version-smp-%{_target_cpu} = %{redhat_version}
Requires:     alsa-kernel-smp-%{redhat_version}-%{_target_cpu} = %{alsa_kernel_version}
Requires:     midishare-kernel-smp-%{redhat_version}-%{_target_cpu} = %{midishare_version}
Requires:     alsa-driver = %{alsa_driver_version}
Requires:     alsa-lib >= %{alsa_lib_version} alsa-lib-devel >= %{alsa_lib_version}
Requires:     alsa-utils >= %{alsa_utils_version} alsa-tools = %{alsa_tools_version}
Requires:     alsa-firmware = %{alsa_firmware_version}
Requires:     alsa-oss = %{alsa_oss_version}

%description redhat-smp
This rpm contains no software but requires the core components of
the Planet CCRMA repository. If installed through apt it will install
the capabilities-enabled single and multiprocessor redhat kernels version
%{redhat_version} for the %{_target_cpu} architecture, the alsa sound driver
packages version %{alsa_version} and the midishare version %{midishare_version}
kernel module.
%endif

%prep

# in >= fc6 there's only planetccrma-core (no -smp, -edge or -kernel packages)
%files

%if "%{fedora}" <= "5" && "%{rhel}" == ""
%files -n planetccrma-kernel
%ifarch i686
%files smp
%files -n planetccrma-kernel-smp
%endif
%if "%{fedora}" >= "2"
%files -n planetccrma-core-edge
%files -n planetccrma-kernel-edge
%ifarch i686
%files -n planetccrma-core-edge-smp
%files -n planetccrma-kernel-edge-smp
%endif
%endif
%endif

%if "%{fc1}" == "1" || "%{rh9}" == "1"
%files redhat
%files redhat-smp
%endif

%changelog
* Mon Nov 12 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added fedora 8 support

* Tue Jun  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added fedora 7 support

* Fri Apr 13 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added centos 5 support

* Mon Mar 5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- >= fc6 only has planetccrma-core packages

* Thu Dec 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added "edge" core packages, restrict packages to i586/i686
  architectures

* Mon Dec 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added planetccrma-kernel packages with no alsa requirements

* Thu Dec 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added rtload and rtirq dependencies

* Mon Jul 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- fix smp dependency names

* Thu Jun 17 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added fedora 2 kernel, made redhat packages optional, 
  move to new build system

* Fri Apr 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- fedora kernel 2.4.22-1.2188.nptl.caps

* Wed Apr 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- redhat kernel 2.4.20-31.1.caps

* Tue Apr 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- midishare 1.86-4

* Mon Apr 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- kernel 2.4.26, alsa 1.0.4

* Mon Mar  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- kernel 2.4.22 2174 (FC1), alsa 1.0.3-1.cvs

* Tue Feb 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- kernel 2.4.25-1.ll, alsa 1.0.2-1.cvs

* Wed Jan 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- alsa 1.0.1, kernels 2.4.24-1.ll, 2.4.20-28.1.caps, fedora 2140
- added alsa-oss requirement

* Mon Dec  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- alsa 1.0.0rc2

* Wed Dec  3 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- fc1 2129 kernel

* Tue Dec  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- 2.4.23 kernel and 1.0.0-1.rc1.cvs

* Tue Nov 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- changed dependencies to new names in new kernels and modules

* Mon Nov  3 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- merged in planetccrma-core-redhat
- added midishare dependency

* Thu Sep 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added release suffix to versionsc

* Fri May 23 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added dependency with alsa architecture

* Thu May 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added dependency with kernel architecture through kernel-version-arch

* Fri Apr 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- created packages for alsa 0.9.2-5.cvs

* Sun Mar 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- initial build.
